Bug 1433758 - Review Request: a52dec - Small test program for liba52
Review Request: a52dec - Small test program for liba52
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1397261
  Show dependency treegraph
 
Reported: 2017-03-19 16:49 EDT by Nicolas Chauvet (kwizart)
Modified: 2017-03-28 11:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-24 10:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2017-03-19 16:49:43 EDT
Spec URL: http://dl.kwizart.net/review/a52dec.spec
SRPM URL: http://dl.kwizart.net/review/a52dec-0.7.4-22.fc26.src.rpm
Description: A free ATSC A/52 stream decoder
Fedora Account System Username: kwizart


Not to review (specially to use any fedora infra) before March 21, 2017
https://ac3freedomday.org/

Blocking FE-Legal to confirm
Comment 1 Tom "spot" Callaway 2017-03-20 11:23:30 EDT
I've confirmed that there are no remaining legal issues in the liba52 implementation.

I would strongly recommend that we take this opportunity to rename the package from "a52dec" to "liba52". Except for the tarball name, everything refers to liba52. (We can mitigate the "a52dec" naming scheme with Provides).

Lifting FE-Legal.
Comment 2 Yaakov Selkowitz 2017-03-20 11:27:57 EDT
(In reply to Tom "spot" Callaway from comment #1)
> I've confirmed that there are no remaining legal issues in the liba52
> implementation.

Yay!

> I would strongly recommend that we take this opportunity to rename the
> package from "a52dec" to "liba52". Except for the tarball name, everything
> refers to liba52. (We can mitigate the "a52dec" naming scheme with Provides).

There is a command-line utility as well.  *If* we want to do this, I suggest instead that we leave the SRPM name alone, put the library in a liba52 subpackage, and rename a52dec-devel to liba52-devel (along with Obsoletes/Provides, of course).
Comment 3 Tom "spot" Callaway 2017-03-20 11:48:52 EDT
That's fine, as long as "a52dec" always depends on liba52. :)
Comment 4 Nicolas Chauvet (kwizart) 2017-03-20 13:20:06 EDT
Spec URL: http://dl.kwizart.net/review/a52dec.spec
SRPM URL: http://dl.kwizart.net/review/a52dec-0.7.4-24.fc24.src.rpm
Description: Small test program for liba52

Changelog:
- Multilibs support - rhbz#1433758
- Simplify description
- Convert AUTHORS to UTF-8
- Drop Groups

rpmlint issue is about wrong fsf address are not expected to be patched:
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
Comment 5 Nicolas Chauvet (kwizart) 2017-03-20 13:24:10 EDT
Spec URL: http://dl.kwizart.net/review/a52dec.spec
SRPM URL: http://dl.kwizart.net/review/a52dec-0.7.4-23.fc24.src.rpm
Description: Small test program for liba52

(typo on SRPM URL address).
Comment 6 Nicolas Chauvet (kwizart) 2017-03-20 13:45:53 EDT
Spec URL: http://dl.kwizart.net/review/a52dec.spec
SRPM URL: http://dl.kwizart.net/review/a52dec-0.7.4-24.fc24.src.rpm
Description: Small test program for liba52

Changelog:
- Add obsoletes/provides for a52dec-devel
Comment 7 Yaakov Selkowitz 2017-03-20 14:31:40 EDT
(In reply to Nicolas Chauvet (kwizart) from comment #6)
> Changelog:
> - Add obsoletes/provides for a52dec-devel

Not quite:

-Provides:   %{name} = %{version}-%{release}
-Obsoletes:  %{name} < 0.7.4-23
+Provides:   %{name}-devel = %{version}-%{release}
+Obsoletes:  %{name}-devel < 0.7.4-23
Comment 8 Nicolas Chauvet (kwizart) 2017-03-21 13:45:25 EDT
Spec URL: http://dl.kwizart.net/review/a52dec.spec
SRPM URL: http://dl.kwizart.net/review/a52dec-0.7.4-25.fc24.src.rpm
Description: Small test program for liba52

Changelog:
- Fixup Obsoletes/Provides for the devel
- Use sed instead of perl to avoid a build dependency
Comment 9 Matthew Miller 2017-03-22 13:12:08 EDT
Looks good to me. Tested; plays sample files.


Non-blocking note: It would be useful for the summary and description to describe this as "AC-3" (and possibly also AC3, to aid in searching.) (The trademark for this is listed as "DEAD".)


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[X]: Package does not own files or directories owned by other packages.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[X]: Package complies to the Packaging Guidelines
[X]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[X]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in liba52 ,
     liba52-devel , a52dec-debuginfo
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[X]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.
Comment 10 Wim Taymans 2017-03-23 06:02:45 EDT
This is the GStreamer plugin for review:

SPEC: https://people.freedesktop.org/~wtay/SPECS/gstreamer1-plugin-a52dec.spec
SRPM: https://people.freedesktop.org/~wtay/SRPMS/gstreamer1-plugin-a52dec-1.10.4-1.fc25.src.rpm

Still using the old name though.
Comment 11 Peter Lemenkov 2017-03-23 06:11:37 EDT
(In reply to Wim Taymans from comment #10)
> This is the GStreamer plugin for review:
> 
> SPEC:
> https://people.freedesktop.org/~wtay/SPECS/gstreamer1-plugin-a52dec.spec
> SRPM:
> https://people.freedesktop.org/~wtay/SRPMS/gstreamer1-plugin-a52dec-1.10.4-1.
> fc25.src.rpm
> 
> Still using the old name though.

We already have -mpg123 from -ugly packaged. Maybe it's time to import the entire -ugly (w/o few remaining plugins we still cannot ship)?

See bug 1397261.
Comment 12 Peter Robinson 2017-03-23 08:46:18 EDT
> We already have -mpg123 from -ugly packaged. Maybe it's time to import the
> entire -ugly (w/o few remaining plugins we still cannot ship)?

Or have upstream move them to good/bad as appropriate.
Comment 13 Peter Robinson 2017-03-23 08:47:06 EDT
(In reply to Wim Taymans from comment #10)
> This is the GStreamer plugin for review:
> 
> SPEC:
> https://people.freedesktop.org/~wtay/SPECS/gstreamer1-plugin-a52dec.spec
> SRPM:
> https://people.freedesktop.org/~wtay/SRPMS/gstreamer1-plugin-a52dec-1.10.4-1.
> fc25.src.rpm
> 
> Still using the old name though.

This needs to be done in a different review
Comment 14 Yaakov Selkowitz 2017-03-23 13:04:31 EDT
(In reply to Peter Robinson from comment #13)
> (In reply to Wim Taymans from comment #10)
> > This is the GStreamer plugin for review:
> > 
> > SPEC:
> > https://people.freedesktop.org/~wtay/SPECS/gstreamer1-plugin-a52dec.spec
> > SRPM:
> > https://people.freedesktop.org/~wtay/SRPMS/gstreamer1-plugin-a52dec-1.10.4-1.
> > fc25.src.rpm
> > 
> > Still using the old name though.
> 
> This needs to be done in a different review

Nack.  We need to move forward on -ugly-free in bug 1397261.
Comment 15 Gwyn Ciesla 2017-03-24 08:13:05 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/a52dec
Comment 16 Nicolas Chauvet (kwizart) 2017-03-24 10:31:24 EDT
a52dec package imported for el6 and later
description improved for AC3/AC-3
Thx for the review and package admin request.

Note You need to log in before you can comment on or make changes to this bug.